package dev.micle.totemofreviving.config;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.fml.ModLoadingContext;
import net.minecraftforge.fml.config.ModConfig;

public final class Config {
	public static void init() {
		ModLoadingContext.get().registerConfig(ModConfig.Type.COMMON, Common.spec);
		ModLoadingContext.get().registerConfig(ModConfig.Type.CLIENT, Client.spec);
		ModLoadingContext.get().registerConfig(ModConfig.Type.SERVER, Server.spec);
	}
	
	public static final class Common {
		static ForgeConfigSpec spec = null;
		
		Common() {
			ForgeConfigSpec.Builder builder = new ForgeConfigSpec.Builder();
			spec = builder.build();
		}
	}
	
	public static final class Client {
		static ForgeConfigSpec spec = null;
		
		Client() {
			ForgeConfigSpec.Builder builder = new ForgeConfigSpec.Builder();
			spec = builder.build();
		}
	}
	
	public static final class Server {
		static ForgeConfigSpec spec = null;
		
		Server() {
			ForgeConfigSpec.Builder builder = new ForgeConfigSpec.Builder();
			spec = builder.build();
		}
	}
}
